Walletguide
DevelopersAPIReferencetotalValueUpdates

Create total value update

Create a total value update with the Walletguide REST API. Parameters, response fields, and a playground you can run.

POST
/wallets/{walletId}/totalValueUpdates

Authorization

bearerAuth
headerAuthorization<token>

A Walletguide API key (wg_…) or an OAuth bearer token. Paste the value only. Create a key under Wallet settings → API keys.

Path Parameters

walletId*string

Row uuid

Formatuuid

Request Body

application/json
  1. body
assetId*string

Row uuid

Formatuuid
date*string
Match^\d{4}-\d{2}-\d{2}$
amountValue*string

Decimal amount as a string, up to 4 fraction digits

Match^-?\d+(\.\d{1,4})?$
amountCurrency*string
notes?string|null
initialBalance?boolean
Defaultfalse
source?string|null

Response Body

The created total value update

application/json
  1. response
id*string
Formatuuid
walletId*string
Formatuuid
firestoreId*string|null
assetId*string
Formatuuid
date*string
amountValue*string
amountCurrency*string
Value in"EUR""AUD""BGN""BRL""CAD""CHF""CNY""CZK""DKK""GBP""HKD""HUF""IDR""ILS""INR""ISK""JPY""KRW""MXN""MYR""NOK""NZD""PHP""PLN""RON""SEK""SGD""THB""TRY""USD""ZAR"
notes*string|null
initialBalance*boolean
source*string|null
createdTime*|
Formatdate-time
createdUserId*string|null
lastUpdatedTime*|
Formatdate-time
lastUpdatedUserId*string|null
Example Request
curl -X POST 'https://api.walletguide.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/totalValueUpdates' \  -H 'Content-Type: application/json' \  -d '{  "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8",  "date": "string",  "amountValue": "string",  "amountCurrency": "string"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480",  "firestoreId": "string",  "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8",  "date": "string",  "amountValue": "string",  "amountCurrency": "EUR",  "notes": "string",  "initialBalance": true,  "source": "string",  "createdTime": "2019-08-24T14:15:22Z",  "createdUserId": "string",  "lastUpdatedTime": "2019-08-24T14:15:22Z",  "lastUpdatedUserId": "string"}